import { DatabaseManager } from '@backstage/backend-common';
import { Entity } from '@backstage/catalog-model';
import { Logger } from 'winston';

interface BatchLoaderOptions {
    logger: Logger;
    databaseManager: DatabaseManager;
}
declare class BatchLoader {
    private readonly logger;
    private readonly manager;
    private client?;
    constructor(options: BatchLoaderOptions);
    private getClient;
    getEntitiesByRefs(refs: (string | {
        kind: string;
        namespace?: string;
        name: string;
    })[]): Promise<(Entity | undefined)[]>;
}

export { BatchLoader, type BatchLoaderOptions };
